> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List document compliance results for a brokerage firm



## OpenAPI

````yaml /openapi.json get /brokerage-firms/{brokerageFirmId}/documents/compliance
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/documents/compliance:
    get:
      tags:
        - document-compliance
      summary: List document compliance results for a brokerage firm
      operationId: BrokerageFirmDocumentComplianceController_getBrokerageFirmCompliance
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBrokerageFirmComplianceOutput'
components:
  schemas:
    GetBrokerageFirmComplianceOutput:
      type: object
      properties:
        compliances:
          description: List of document compliance results for the brokerage firm
          type: array
          items:
            $ref: '#/components/schemas/GetDocumentComplianceOutput'
      required:
        - compliances
    GetDocumentComplianceOutput:
      type: object
      properties:
        documentId:
          type: string
          description: Document ID
        status:
          type: string
          description: Overall compliance status
          enum:
            - PENDING
            - COMPLIANT
            - NON_COMPLIANT
            - FAILED
            - SKIPPED
        results:
          description: Results for each compliance rule
          type: array
          items:
            $ref: '#/components/schemas/DocumentComplianceRuleResultDto'
        aiMetadata:
          type: object
          description: AI compliance metadata
        checkedAt:
          type: string
          description: Last check timestamp
        override:
          description: Override metadata if compliance was manually overridden
          allOf:
            - $ref: '#/components/schemas/ComplianceOverrideDto'
      required:
        - documentId
        - status
        - results
    DocumentComplianceRuleResultDto:
      type: object
      properties:
        ruleType:
          type: string
          description: Rule type that was checked
          enum:
            - READABLE
            - REQUIRED_FIELDS
            - PROMPT
            - FIELD_VALIDATION
        passed:
          type: boolean
          description: Whether the rule passed
        message:
          type: string
          description: Failure message if rule did not pass
        metadata:
          type: object
          description: Additional metadata about the rule result
      required:
        - ruleType
        - passed
    ComplianceOverrideDto:
      type: object
      properties:
        overriddenBy:
          type: string
          description: User ID who performed the override
        overriddenAt:
          type: string
          description: ISO timestamp of the override
        previousStatus:
          type: string
          description: Status before the override
        originalStatus:
          type: string
          description: Original AI-determined status before any manual override
      required:
        - overriddenBy
        - overriddenAt
        - previousStatus

````